export interface SqliteConnectPlugin {
    setDbPath(): boolean;
    fetchOneById(ID: number): Promise<any>;
    fetchOne(query: string, values: Array<any>): Promise<any>;
    fetchAll(query: string, values: Array<any>): Promise<any>;
    fetchMany(query: string, size: number, values: Array<any>): Promise<any>;
    executeScript(query: string): Promise<any>;
    executeMany(query: string, values: Array<any>): Promise<any>;
}
