'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var require$$0 = require('sqlite-electron');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var require$$0__default = /*#__PURE__*/_interopDefaultLegacy(require$$0);

var src = {};

Object.defineProperty(src, "__esModule", { value: true });
exports.abbasSqliteConnect = src.abbasSqliteConnect = void 0;
const sqlite = require$$0__default["default"];
class abbasSqliteConnect {
    constructor() {
        this.setDbPath();
    }
    setDbPath() {
        try {
            sqlite.setdbPath("file:wordsSQLite.db?mode:rw", true);
        }
        catch (error) {
            console.log(error);
        }
        return true;
    }
    async fetchOneById(ID) {
        const values = [ID];
        var query = "SELECT * from words WHERE ID=?";
        return sqlite.fetchOne(query, values);
    }
    async fetchOne(query, values) {
        return new Promise((resolve, reject) => {
            sqlite.fetchOne(query, values).then((data) => {
                resolve(data);
            }).catch((error) => reject(error));
        });
        // return sqlite.fetchOne(query, values);
    }
    async fetchAll(query, values) {
        return sqlite.fetchAll(query, values);
    }
    async fetchMany(query, size, values) {
        return sqlite.fetchMany(query, size, values);
    }
    async executeScript(query) {
        return sqlite.executeScript(query);
    }
    async executeMany(query, values) {
        sqlite.executeMany(query, values);
    }
}
exports.abbasSqliteConnect = src.abbasSqliteConnect = abbasSqliteConnect;

exports["default"] = src;
//# sourceMappingURL=plugin.js.map
